Create or update a REST data source

Prev Next
Put
/v1/SyncRegistry/RestDataSource/{restDataSourceId}

Creates a REST data source in the SRS database or updates an existing one.

Security
API Key: Authorization
Header parameter nameAuthorization

Add an Authorization header to authenticate requests originating outside of Zilliant's internal network. Set the header to Authorization: OAuth <tokenResponseBase64>.

<tokenResponseBase64> is the Base64-encoded entire JSON response body returned by the Salesforce OAuth token endpoint. Encode the full JSON payload, not only the access_token field.

For details, read Request an access token.

Header parameters
X-Forwarded-Host
string

OAuth host for your environment. Use it for all requests that originate outside Zilliant’s internal network. For details, read X-Forwarded-Host header in Introduction.

Path parameters
restDataSourceId
stringRequired

Unique REST data source ID to fetch.

ExamplerestZilliantProd
Body parameters
Create or update a REST data source

Example of a REST data source details

{
  "restDataSourceId": "456789012",
  "endpoint": "https://example.com/api",
  "userName": "user",
  "encryptedPassword": "encrypted_password"
}
object
restDataSourceId
string

Unique REST data source ID. Must match the restDataSourceId path parameter. When creating, enter a meaningful ID. When updating, enter an ID of that data source.

Example456789012
endpoint
string (uri)

URL to send data to or receive data from the REST data source.

Examplehttps://example.com/api
userName
string

User name used to log into the REST service.

Exampleuser
encryptedPassword
string

Encrypted password used to log into the REST service.

Exampleencrypted_password
Responses
204

REST data source created or updated successfully.